﻿using System;
using System.Windows.Forms;

namespace StartLauncher
{
    static class Program
    {
        static void Main()
        {
            try
            {
                System.IO.Pipes.NamedPipeClientStream client = new System.IO.Pipes.NamedPipeClientStream("StartSignal");
                client.Connect(3);
                client.Write(new byte[1]{1}, 0, 1);
                client.Close();
            }
            catch (TimeoutException)
            {
                MessageBox.Show("Critical Error: Cannot connect pipe named StartSignal to the NewStart main process, reached timeout.\nIs NewStart installed propely?", "NewStart", MessageBoxButtons.OK, MessageBoxIcon.Error);
            }
        }
    }
}
